var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import Tooltip from "@mui/material/Tooltip";
import * as React from "react";
/**
 * Render prop component that wraps element in a Tooltip that shows "Copied to clipboard!" when the
 * copy function is invoked
 */
var CopyToClipboard = /** @class */ (function (_super) {
    __extends(CopyToClipboard, _super);
    function CopyToClipboard() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = { showTooltip: false };
        _this.onCopy = function (content) {
            navigator.clipboard.writeText(content);
            _this.setState({ showTooltip: true });
        };
        _this.handleOnTooltipClose = function () {
            _this.setState({ showTooltip: false });
        };
        return _this;
    }
    CopyToClipboard.prototype.render = function () {
        return (_jsx(Tooltip, __assign({ open: this.state.showTooltip, title: "Copied to clipboard!", leaveDelay: 1500, onClose: this.handleOnTooltipClose }, this.props.TooltipProps || {}, { children: this.props.children({ copy: this.onCopy }) })));
    };
    return CopyToClipboard;
}(React.Component));
export default CopyToClipboard;
